"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
var common_vendor = require("./common/vendor.js");
var stores_index = require("./stores/index.js");
var utils_share = require("./utils/share.js");
require("./stores/modules/tabIndex.js");
require("./stores/modules/user.js");
require("./stores/modules/AIResponse.js");
require("./stores/modules/rateLimit.js");
if (!Math) {
  "./pages/index/index.js";
  "./pages/user/history.js";
  "./pages/user/suggestion.js";
  "./pages/ZhouYi/detail.js";
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "App",
  setup(__props) {
    common_vendor.onLaunch(() => {
      console.log("App Launch");
    });
    common_vendor.onShow(() => {
      console.log("App Show");
    });
    common_vendor.onHide(() => {
      console.log("App Hide");
    });
    return () => {
    };
  }
});
var App = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "D:/\u7F51\u6291\u4E91Time/\u79C1\u6D3B/2000\u7B97\u5366/src/App.vue"]]);
function createApp() {
  const app = common_vendor.createSSRApp(App);
  stores_index.setupStore(app);
  app.mixin(utils_share.share);
  return {
    app
  };
}
createApp().app.mount("#app");
exports.createApp = createApp;
